Plantage Linuxcnc

  • Auteur de la discussion Bruno26
  • Date de début
Bruno26

Bruno26

Compagnon
Bonjour à tous,

Je commence à me servir davantage de ma grosse Hurco rétrofitée avec Linuxcnc et des cartes Mesa.
J'ai régulièrement des plantages d'Axis. Ca n'est jamais arrivé pendant le déroulement d'un usinage, là c'était après un changement d'outil automatique. C'est arrivé plusieurs fois après la fin d'un programme. Le reste du Pc fonctionne encore, je peux ouvrir une autre application mais rien qui répond sur la fenêtre d'axis.

P1040295.JPG


En tripotant tous les ctrl alt "F" quelque chose j'ai eu ce message d'erreur:

P1040289.JPG

P1040290.JPG


Le PC n'est pas tout jeune, c'est un Dell Optiplex 960. C'est pas impossible que ce soit un problème matériel. J'ai essayé de changer les barrettes de RAM mais ça n'a rien changé, à moins qu'il y en ai eu plusieurs de fatiguées.

Si quelqu'un à une idée. C'est complètement aléatoire, j'arrive quand même à me servir de la machine mais ça ne met pas en confiance.

A+
 
G

gaston48

Compagnon
Bonjour Bruno,
Avec google, ce genre de messages cause : " erreur kernel "
tu es sous preempt-rt ou rtai ?
pour ma part je reste sous rtai et 2.7.15 le plus longtemps possible
que des problèmes avec preempt-rt
 
P

proton95

Ouvrier
Bonjour Bruno
j'ai un dell latitude D530,donc 2coeurs et 4G de mem,lors de la mise à niveau meme message d'erreur::time out =processeur limite. Donc je reste sous ubuntu 18 et Debian 9,mais celui ci me fait le meme caca nerveux de temps en temps.Essai de trouver une version plus ancienne moins gourmande en processeur et memoire.qu'en tu as ce type d'erreur lance moniteur systeme .si tu n'as pas le swap à 0% c'est un manque de memoire de ton PC.
Jean marie
 
Bruno26

Bruno26

Compagnon
Salut gaston48,
Il faut que je jette un oeil dans nos MP, on avait dû en parler. preempt-rt ou rtai, je ne sais plus!
 
Bruno26

Bruno26

Compagnon
Mon Pc à maintenant 4G de Ram et 4 coeurs. Avant que je tripatouille les barrettes de RAM il y avait 7G de reconnus alors que c'était normalement 4 barrettes de 2G. J'ai enlevé les 2 identiques dont une semblait donc déconner mais ça n'a rien changé. Je jetterai un oeil à ce swap.
Merci et à +.
 
P

proton95

Ouvrier
Je reviens
Avec une foto du la meme erreur.Ton linux tu le demarre depuis le grub, ok ,maintenant si tu as 4 barettes de ram elle doivent etre de meme capa et frequence(l'ideal meme marque) linuxcnc fonctionne en temps reel et non pas comme win qui est sequentiel.LInux est pointilleux sur le synchro des fichiers.Comme je ne connais pas debiancnc je ne peux en dire plus.
jean marie
Ps:si tu n'as pas moniteur system regarde dans un terminal avec "htop" la saturation du pc

20210415_133319.jpg
 
coredump

coredump

Compagnon
C'est un problème d'accélération 3D. Donc désactiver celle ci et/ou ne pas utiliser l'interface 3D d'axis.
 
Bruno26

Bruno26

Compagnon
J'ai Linuxcnc sur 3 PC pour 3 machines, mais en fait je ne connais pas encore grand chose à l'environnement Linux.
Moniteur system ou htop sont des utilitaires à installer?

L'interface 3D d'axis, c'est quoi donc?
 
osiver

osiver

Compagnon
C'est un problème connu semble-t-il :
 
Bruno26

Bruno26

Compagnon
Bonjour Bruno,
Avec google, ce genre de messages cause : " erreur kernel "
tu es sous preempt-rt ou rtai ?
pour ma part je reste sous rtai et 2.7.15 le plus longtemps possible
que des problèmes avec preempt-rt
A priori, c'est bien une version preempt-rt que j'ai installée. Ca risque de changer beaucoup de chose sur ma config si je repasse avec rtai?
 
G

gaston48

Compagnon
Ca risque de changer beaucoup de chose sur ma config si je repasse avec rtai?
Tu as toujours une 5i25 et 7i77 ?
Sous Buster avec preempt-rt, tu passes en 64 bit , et avec un firmware compatible avec les
dernières cartes réseau, c'est donc indispensable avec les cartes mesa sous port internet .

Avec le port parallèle le temps de latence est souvent trop mauvais sous preempt-rt
donc il faut rester sous rtai en 32 bit
pour ma part , mes cartes mesa sserial déconnent sous preemprt-rt
et il n'y avait pas assez de mémoire alloué dans la 2.8.1 en 64 bit avec ma configuration ...

Donc je reste sous Wheezy en 32 bits et rtai plus 2.7.15
peut être que je passerais à 2.8.1 sous rtai et 32 bit mais avec un autre SSD pour revenir en arrière

Pour repasser sous Wheezy et rtai,
il faut faire une nouvelle installation avec un ISO et 2.7.15 attention la syntaxe de linuxcnc entre
2.7.15 et 2.8.0 est légèrement différente concernant le ini et le hal, mais ça tu sais
Et ensuite faire une mise à jour de 2.7.15 à 2.8.1
avec les instructions du buildboot:

amd64 veut dire sous 64 bit pas forcement sous processeur AMD
pareil avec i386
 
Bruno26

Bruno26

Compagnon
Oui, c'est toujours mes cartes 5i25 et 7i77.
Avant de chambouler toute l'installation, je vais essayé de voir cette histoire de "htop" au prochain plantage.
 
Haut